{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "DE.LNAME.IBIZBOOK"
  },
  "caption" : "图书",
  "codeName" : "IBIZBOOKGanttView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZBOOKGanttView.json",
  "mDCtrlActiveMode" : 2,
  "name" : "IBIZBOOKGanttView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
  },
  "getPSControls" : [ {
    "beginDataItemName" : "begin",
    "codeName" : "Usr",
    "controlType" : "GANTT",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSGANTTS/Usr.json",
    "endDataItemName" : "end",
    "finishDataItemName" : "finish",
    "logicName" : "甘特部件",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "gantt"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "GANTT"
    },
    "getPSDETreeColumns" : [ {
      "caption" : "作者",
      "codeName" : "author",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "author",
      "name" : "author",
      "width" : 200,
      "widthUnit" : "px",
      "enableExpand" : false,
      "enableSort" : false
    }, {
      "caption" : "图书名称",
      "codeName" : "ibizbookname",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "ibizbookname",
      "name" : "ibizbookname",
      "width" : 200,
      "widthUnit" : "px",
      "enableExpand" : false,
      "enableSort" : false
    }, {
      "caption" : "归还日期",
      "codeName" : "returntime",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "returntime",
      "name" : "returntime",
      "width" : 200,
      "widthUnit" : "px",
      "enableExpand" : false,
      "enableSort" : false
    }, {
      "caption" : "出版社",
      "codeName" : "press",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "press",
      "name" : "press",
      "width" : 200,
      "widthUnit" : "px",
      "enableExpand" : false,
      "enableSort" : false
    }, {
      "caption" : "借出日期",
      "codeName" : "lendouttime",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "lendouttime",
      "name" : "lendouttime",
      "width" : 200,
      "widthUnit" : "px",
      "enableExpand" : false,
      "enableSort" : false
    } ],
    "getPSDETreeNodeRSs" : [ {
      "getChildPSDETreeNode" : {
        "modelref" : true,
        "id" : "IBIZBOOKMANAGELOG"
      },
      "name" : "埃毕致图书管理 - 图书管理日志",
      "getParentPSDETreeNode" : {
        "modelref" : true,
        "id" : "IBIZBOOKMANAGE"
      },
      "parentValueLevel" : 1,
      "searchMode" : 3
    }, {
      "getChildPSDETreeNode" : {
        "modelref" : true,
        "id" : "IBIZBOOKMANAGE"
      },
      "name" : "默认根节点 - 埃毕致图书管理",
      "getParentPSDETreeNode" : {
        "modelref" : true,
        "id" : "ROOT"
      },
      "parentValueLevel" : 1,
      "searchMode" : 3
    } ],
    "getPSDETreeNodes" : [ {
      "counterMode" : 0,
      "name" : "默认根节点",
      "nodeType" : "ROOT",
      "nodeValue" : "root",
      "text" : "默认根节点",
      "treeNodeType" : "STATIC",
      "hasPSDETreeNodeRSs" : true,
      "appendPNodeId" : false,
      "disableSelect" : false,
      "enableCheck" : false,
      "enableEditData" : false,
      "enableNewData" : false,
      "enableQuickCreate" : false,
      "enableQuickSearch" : false,
      "enableRemoveData" : false,
      "enableViewData" : false,
      "expandFirstOnly" : false,
      "expanded" : false,
      "rootNode" : true,
      "selectFirstOnly" : false,
      "selected" : false,
      "id" : "ROOT"
    }, {
      "counterMode" : 0,
      "getIdPSAppDEField" : {
        "name" : "IBIZBOOKID",
        "codeName" : "IBIZBOOKId"
      },
      "maxSize" : -1,
      "name" : "图书管理日志",
      "nodeType" : "IBIZBOOKMANAGELOG",
      "getPSAppDEDataSet" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
      },
      "getPSDETreeNodeDataItems" : [ {
        "cLConvertMode" : "NONE",
        "dataType" : 25,
        "name" : "returntime",
        "getPSAppDEField" : {
          "name" : "RETURNTIME",
          "codeName" : "Returntime"
        }
      }, {
        "cLConvertMode" : "NONE",
        "dataType" : 25,
        "name" : "press",
        "getPSAppDEField" : {
          "name" : "PRESS",
          "codeName" : "Press"
        }
      }, {
        "cLConvertMode" : "NONE",
        "dataType" : 25,
        "name" : "ibizbookname",
        "getPSAppDEField" : {
          "name" : "IBIZBOOKNAME",
          "codeName" : "IBIZBOOKName"
        }
      }, {
        "cLConvertMode" : "NONE",
        "dataType" : 25,
        "name" : "lendouttime",
        "getPSAppDEField" : {
          "name" : "LENDOUTTIME",
          "codeName" : "Lendouttime"
        }
      }, {
        "cLConvertMode" : "NONE",
        "dataType" : 25,
        "name" : "author",
        "getPSAppDEField" : {
          "name" : "AUTHOR",
          "codeName" : "Author"
        }
      } ],
      "getTextPSAppDEField" : {
        "name" : "IBIZBOOKNAME",
        "codeName" : "IBIZBOOKName"
      },
      "treeNodeType" : "DE",
      "hasPSDETreeNodeRSs" : false,
      "appendPNodeId" : false,
      "disableSelect" : false,
      "enableCheck" : false,
      "enableEditData" : false,
      "enableNewData" : false,
      "enableQuickCreate" : false,
      "enableQuickSearch" : false,
      "enableRemoveData" : false,
      "enableViewData" : false,
      "expandFirstOnly" : false,
      "expanded" : false,
      "rootNode" : false,
      "selectFirstOnly" : false,
      "selected" : false,
      "id" : "IBIZBOOKMANAGELOG"
    }, {
      "counterMode" : 0,
      "name" : "埃毕致图书管理",
      "nodeType" : "IBIZBOOKMANAGE",
      "text" : "埃毕致图书管理",
      "treeNodeType" : "STATIC",
      "hasPSDETreeNodeRSs" : true,
      "appendPNodeId" : false,
      "disableSelect" : false,
      "enableCheck" : false,
      "enableEditData" : false,
      "enableNewData" : false,
      "enableQuickCreate" : false,
      "enableQuickSearch" : false,
      "enableRemoveData" : false,
      "enableViewData" : false,
      "expandFirstOnly" : false,
      "expanded" : false,
      "rootNode" : false,
      "selectFirstOnly" : false,
      "selected" : false,
      "id" : "IBIZBOOKMANAGE"
    } ],
    "prevDataItemName" : "prev",
    "sNDataItemName" : "sn",
    "totalDataItemName" : "total",
    "treeGridMode" : 2,
    "enableRootSelect" : false,
    "outputIconDefault" : true,
    "rootVisible" : false,
    "name" : "gantt",
    "modelid" : "543e013511c2c26a7bf76641b34cfa16",
    "modeltype" : "PSDEGANTT"
  } ],
  "getPSDEViewCodeName" : "GanttView",
  "getPSDEViewId" : "ad1a5b0de9c69f414a815d2c1f54057d",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEGANTTVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "图书甘特视图",
  "getTitlePSLanguageRes" : {
    "lanResTag" : "PAGE.TITLE.IBIZBOOK.GANTTVIEW"
  },
  "viewStyle" : "DEFAULT",
  "viewType" : "DEGANTTVIEW",
  "xDataControlName" : "gantt",
  "enableDP" : true,
  "enableFilter" : false,
  "modelid" : "abc97503108bb23608d6da332717aa3c",
  "modeltype" : "PSAPPDEVIEW"
}